UserCoordinateSystems Example |
Using Programming Languages other than VBA
Sub Example_UserCoordinateSystems() ' This example finds the current UserCoordinateSystems collection and ' adds a new UCS to that collection. Dim UCSColl As AcadUCSs Set UCSColl = ThisDrawing.UserCoordinateSystems ' Create a UCS named "TEST" in the current drawing Dim ucsObj As AcadUCS Dim origin(0 To 2) As Double Dim xAxisPnt(0 To 2) As Double Dim yAxisPnt(0 To 2) As Double ' Define the UCS origin(0) = 4#: origin(1) = 5#: origin(2) = 3# xAxisPnt(0) = 5#: xAxisPnt(1) = 5#: xAxisPnt(2) = 3# yAxisPnt(0) = 4#: yAxisPnt(1) = 6#: yAxisPnt(2) = 3# ' Add the UCS to the UserCoordinatesSystems collection Set ucsObj = UCSColl.Add(origin, xAxisPnt, yAxisPnt, "TEST") MsgBox "A new UCS called " & ucsObj.name & " has been added to the UserCoordinateSystems collection.", vbInformation, "UserCoordinateSystems Example" End Sub
Comments? |